Exiv2::Internal::TiffHeader Class Reference

Standard TIFF header structure. More...

`#include <tiffimage_int.hpp>`

Inheritance diagram for Exiv2::Internal::TiffHeader:
[legend]

## Public Member Functions

Creators
| TiffHeader (ByteOrder byteOrder=littleEndian, uint32_t offset=0x00000008, bool hasImageTags=true)
| Default constructor.
| ~TiffHeader ()
| Destructor.
Public Member Functions inherited from Exiv2::Internal::TiffHeaderBase
| TiffHeaderBase (uint16_t tag, uint32_t size, ByteOrder byteOrder, uint32_t offset)
| Constructor taking tag, size and default byteOrder and offset.
virtual | ~TiffHeaderBase ()=0
| Virtual destructor.
virtual bool | read (const byte *pData, uint32_t size)
| Read the image header from a data buffer. Return false if the data buffer does not contain an image header of the expected format, else true. More...
virtual void | setByteOrder (ByteOrder byteOrder)
| Set the byte order.
virtual void | setOffset (uint32_t offset)
| Set the offset to the start of the root directory.
virtual DataBuf | write () const
| Return the image header in binary format. The caller owns this data and DataBuf ensures that it will be deleted. More...
virtual void | print (std::ostream &os, const std::string &prefix="") const
| Print debug info for the image header to os. More...
virtual ByteOrder | byteOrder () const
| Return the byte order (little or big endian).
virtual uint32_t | offset () const
| Return the offset to the start of the root directory.
virtual uint32_t | size () const
| Return the size (in bytes) of the image header.
virtual uint16_t | tag () const
| Return the tag value (magic number) which identifies the buffer as TIFF data.

## Accessors

bool | isImageTag (uint16_t tag, IfdId group, const PrimaryGroups *pPrimaryGroups) const
| Return `true` if the Exif tag from group is an image tag. More...

## Detailed Description

Standard TIFF header structure.

## Member Function Documentation

## isImageTag()

bool Exiv2::Internal::TiffHeader::isImageTag | ( | uint16_t | tag,
|  | IfdId | group,
|  | const PrimaryGroups * | pPrimaryGroups
| ) |  | const

virtual

Return `true` if the Exif tag from group is an image tag.

Certain tags of TIFF and TIFF-like images are required to correctly display the primary image. These image tags contain image data rather than metadata.

Parameters

  tag | Tag number.
  group | Group identifier.
  pPrimaryGroups | Pointer to a list of TIFF groups that contain primary images, empty if none are marked.

Returns
  The default implementation returns `false`.

Reimplemented from Exiv2::Internal::TiffHeaderBase.

References Exiv2::Internal::groupName(), Exiv2::Internal::isTiffImageTag(), and Exiv2::Internal::TiffHeaderBase::tag().

The documentation for this class was generated from the following files:

- tiffimage_int.hpp
- tiffimage_int.cpp